Page MenuHomePhabricator

Gem::InstallError: watir requires Ruby version >= 2.3.0.
Closed, ResolvedPublic

Description

I have noticed several Jenkins jobs failing with

Gem::InstallError: watir requires Ruby version >= 2.3.0.

Jobs:

Jobs are failing for at least 30 days, we don't keep history longer than that.

I propose to delete all jobs. Ruby framework has been deprecated since 2017 (J79).

Details

Related Gerrit Patches:
mediawiki/extensions/CentralAuth : masterDelete Ruby Selenium tests
mediawiki/extensions/CentralNotice : masterDelete Ruby Selenium tests
mediawiki/extensions/GettingStarted : masterDelete Ruby Selenium tests
integration/config : masterDo not run Ruby and/or Selenium jobs for GettingStarted
integration/config : masterDo not run Ruby and/or Selenium jobs for CentralAuth
integration/config : masterDo not run Ruby and/or Selenium jobs for CentralNotice

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2019, 1:27 PM
zeljkofilipin triaged this task as Medium priority.Jan 22 2019, 1:27 PM
zeljkofilipin moved this task from Inbox to Selenium on the MediaWiki-Core-Testing board.
zeljkofilipin moved this task from Backlog 🔙 to In Progress 🔨 on the User-zeljkofilipin board.
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin removed zeljkofilipin as the assignee of this task.Jan 22 2019, 1:50 PM
zeljkofilipin moved this task from In Progress 🔨 to Next 🔜 on the User-zeljkofilipin board.

Change 521879 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/CentralAuth@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/521879

Change 521881 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Do not run Ruby and/or Selenium jobs for CentralAuth

https://gerrit.wikimedia.org/r/521881

Change 521883 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Do not run Ruby and/or Selenium jobs for CentralNotice

https://gerrit.wikimedia.org/r/521883

Change 521884 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/CentralNotice@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/521884

Change 521883 merged by jenkins-bot:
[integration/config@master] Do not run Ruby and/or Selenium jobs for CentralNotice

https://gerrit.wikimedia.org/r/521883

Change 522064 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[integration/config@master] Do not run Ruby and/or Selenium jobs for GettingStarted

https://gerrit.wikimedia.org/r/522064

Change 522066 had a related patch set uploaded (by Zfilipin; owner: Zfilipin):
[mediawiki/extensions/GettingStarted@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/522066

Change 521881 merged by jenkins-bot:
[integration/config@master] Do not run Ruby and/or Selenium jobs for CentralAuth

https://gerrit.wikimedia.org/r/521881

Change 522064 merged by jenkins-bot:
[integration/config@master] Do not run Ruby and/or Selenium jobs for GettingStarted

https://gerrit.wikimedia.org/r/522064

zeljkofilipin closed this task as Resolved.Jul 12 2019, 2:48 PM

Change 521884 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/521884

Change 522066 merged by jenkins-bot:
[mediawiki/extensions/GettingStarted@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/522066

Change 521879 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Delete Ruby Selenium tests

https://gerrit.wikimedia.org/r/521879